package com.hotent.baseInfo.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.baseInfo.model.CostCatalogUnit;
import com.hotent.base.manager.BaseManager;
import com.hotent.baseInfo.req.CostBaseInfoPageReq;

import java.util.List;

/**
 * 成本监审目录-提交资料清单 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-29
 */
public interface CostCatalogUnitManager extends BaseManager<CostCatalogUnit> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostCatalogUnit getDetail(String id);
	/**
	 * 新建、更新成本监审目录-提交资料清单
	 * @param costCatalogUnit
	 * @return
	 */
	void createOrUpdate(CostCatalogUnit costCatalogUnit);


	IPage<CostCatalogUnit>	pageList(CostBaseInfoPageReq req);


	List<CostCatalogUnit> getListByCatalogId(String catalogId);
}
